Compile problems with Linux

Compiler issues (Intel compiler, mpicc, etc.), data libraries and everything needed to get Serpent running is discussed here
Post Reply
Antonio_BO
Posts: 3
Joined: Thu Nov 26, 2015 12:42 pm
Security question 1: No
Security question 2: 92

Compile problems with Linux

Post by Antonio_BO » Thu Dec 01, 2016 2:33 pm

Hi to all,
I'm trying to compile on a Linux system the last Serpent 2.1.27 version. After unzipping the source file sending me by e-mail, i tried to compile it but the process as stalled as you can see below:

~/Serpent2/src/sssup2.1.27> make
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addbranching.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addbuf.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addbuf1d.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addchains.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c additem.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addmesh.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addmeshidx.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addnuclide.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addprivatedata.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addprivateres.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addpts.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addsabdata.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addsearchmesh.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addsortitem.c
gcc -Wall -ansi -ffast-math -O3 -DOPEN_MP -fopenmp -pedantic -c addstablenuclides.c
make: *** No rule to make target `addstat.c', needed by `addstat.o'. Stop.
~/Serpent2/src/sssup2.1.27>

Can someone help me? Thanks in advance.

Antonio Guglielmelli

User avatar
Jaakko Leppänen
Site Admin
Posts: 2167
Joined: Thu Mar 18, 2010 10:43 pm
Security question 2: 0
Location: Espoo, Finland
Contact:

Re: Compile problems with Linux

Post by Jaakko Leppänen » Thu Dec 01, 2016 8:43 pm

You need the source code of base version (2.1.0) on order to compile the update.
- Jaakko

Post Reply